Hot News:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Inventor .NET
  ProjectGeometry EndFace

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   ProjectGeometry EndFace (1326 mal gelesen)
cadsepp
Mitglied
Konstrukteur


Sehen Sie sich das Profil von cadsepp an!   Senden Sie eine Private Message an cadsepp  Schreiben Sie einen Gästebucheintrag für cadsepp

Beiträge: 40
Registriert: 19.04.2008

erstellt am: 11. Mrz. 2011 15:10    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Stirnflaeche.jpg

 
Hallo Forum,

habe mal wieder eine Frage an der ich echt verzweifle. Ich erzeuge mir in einem Bauteil eine Skizze und möchte mir in diese Skizze die Stirnfläche eines Profils/ Bauteils projizieren, mit welchem Befehl kann ich die Stirnfläche wählen?

Public Sub SketchonXY()
 
    ' Set a reference to the part component definition.
    ' This assumes that a part document is active.
    Dim oCompDef As PartComponentDefinition
    Set oCompDef = ThisApplication.ActiveDocument.ComponentDefinition

' Create a sketch on the X-Y plane.
    Dim oSketch As PlanarSketch
    Set oSketch = oCompDef.Sketches.Add(oCompDef.WorkPlanes(3))
   
    ' Change the name.
    oSketch.Name = "Moment Calculation"
   
    'Open Sketch
    oSketch.Edit
   
'????

Dim oFace As Face
    Set oFace = oCompDef.SurfaceBodies.EndFace

'????? Hier liegt das Problem


'Geometrie projizieren
Dim oGeomLine As SketchEntity
Set oGeomLine = oSketch.AddByProjectingEntity(oFace)

Danke für Eure Hilfe.

Gruß
Sebastian

[Diese Nachricht wurde von cadsepp am 11. Mrz. 2011 editiert.]

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

rkauskh
Moderator
Dipl.-Ing. (FH) Versorgungstechnik


Sehen Sie sich das Profil von rkauskh an!   Senden Sie eine Private Message an rkauskh  Schreiben Sie einen Gästebucheintrag für rkauskh

Beiträge: 1571
Registriert: 15.11.2006

Windows 7 x64, AIS 2014

erstellt am: 12. Mrz. 2011 08:31    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für cadsepp 10 Unities + Antwort hilfreich

Hallo

Du könntest die Fläche über die Pick-Methode selektieren

Code:
Public Sub SketchOnXY()

    ' Set a reference to the part component definition.
    ' This assumes that a part document is active.
    Dim oCompDef As PartComponentDefinition
    Set oCompDef = ThisApplication.ActiveDocument.ComponentDefinition

' Create a sketch on the X-Y plane.
    Dim oSketch As PlanarSketch
    Set oSketch = oCompDef.Sketches.Add(oCompDef.WorkPlanes(3))
 
    ' Change the name.
    oSketch.Name = "Moment Calculation"
 
    'Open Sketch
    oSketch.Edit
 
Dim oFace As Object
Set oFace = ThisApplication.CommandManager.Pick(kPartFaceFilter, "Fläche auswählen")

'Geometrie projizieren
    Dim oGeomLine As Object 'SketchEntity
    Dim oEdge As Edge

For Each oEdge In oFace.Edges
    Set oGeomLine = oSketch.AddByProjectingEntity(oEdge)
Next

End Sub



Alternativ könntest du die ComponentDefinition.ExtrudeFeatures.Item(1).EndFaces nehmen und von dort die Kanten der Flächen holen. Damit nagelt man sich aber ziemlich fest, denn der Profilquerschnitt darf dann nicht weiter  bearbeitet werden (z.B. durch Fasen/Rundungen etc).

------------------
MfG
RK

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadsepp
Mitglied
Konstrukteur


Sehen Sie sich das Profil von cadsepp an!   Senden Sie eine Private Message an cadsepp  Schreiben Sie einen Gästebucheintrag für cadsepp

Beiträge: 40
Registriert: 19.04.2008

erstellt am: 14. Mrz. 2011 23:16    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Distance.jpg

 
Hallo,

vielen Dank an rk für Deine Hilfe, damit hat es super geklappt!

Habe zu dieser Thematik noch eine Frage. Nachdem ich nun in der Skizze drin bin und die Geometrie projiziert habe, möchte ich gerne den Abstand (in x- Richtung) und den Abstand (in y-Richtung) von einem Punkt (z.B. Urspring) zu meinen Skizzenaußenkanten messen. In der Inventor API werden doch auch gerade Linien als Kurven deklariert, bin ich da mit dem
CurveEvaluator und EdgeEvaluator auf dem richtigen weg? Habt Ihr eine Idee wie ich das anstellen kann, ohne innerhalb der Prozedur die Linie/ Außenkante manuell auszuwählen?

Vielen Dank für die Hilfe,

Sebastian

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz